WIMINFO(1)

NAME
wiminfo - Display or change information about a WIM file or image

SYNOPSIS
wiminfo WIMFILE [IMAGE [NEW_NAME [NEW_DESC]]] [OPTION...]

DESCRIPTION
wiminfo, or equivalently wimlib-imagex info, displays information about WIMFILE or the specified IMAGE in it, and optionally changes properties of IMAGE such as its name and description, or changes the bootable image of the WIM.

If neither an image nor any flags other than --check are specified, then basic information about the WIM and the images contained in it is shown. If an image is specified by IMAGE (as a 1-based image index or an image name), then the information is restricted to that concerning the specified image.

Changes to the WIM are made if NEW_NAME and/or --boot and/or --image-property are specified. NEW_NAME is taken to be the new name of the image specified by IMAGE while NEW_DESC is taken to be its new description. If NEW_DESC is not specified, then the image's description is not changed.

wiminfo does not support modifying a split WIM, although you may display information about one, including any of its parts.

OPTIONS

--boot
    Mark the specified IMAGE as the "bootable" image of the WIM. The "bootable" image is the image which the Windows bootloader will use when loading Windows PE from the WIM.

--check
    Verify the integrity of WIM if it contains extra integrity information. In addition, if modifying the WIM, add extra integrity information if it was not present before.

--nocheck
    If modifying the WIM, remove its extra integrity information, if it had any.

--include-integrity
    If modifying the WIM, add extra integrity information if it was not present before, i.e. like --check but don't also do the verification beforehand.

--image-property NAME=VALUE
    Assign an arbitrary property to the specified IMAGE in the XML document of the WIM. NAME is an element path such as "WINDOWS/VERSION/MAJOR", and VALUE is the string to place in the element, such as "10". See the documentation for this option to wimcapture(1) for more details. This option may be specified multiple times.

--header
    Show detailed information from the WIM header.

--blobs
    List all the "blobs" (unique file data) in the WIM.

--extract-xml=FILE
    Extract the WIM's raw XML document to FILE.

--xml
    Extract the WIM's raw XML document to standard output.

SEE ALSO
wimlib-imagex(1) wimdir(1)